summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2017-06-03 22:36:29 +0200
committerDavid Seifert <soap@gentoo.org>2017-06-03 22:52:18 +0200
commitd63f2655b3e69da460c00bd08695cbb5a9d258f2 (patch)
treea70891e2a8fa4d8148416da416f5e7dc593bb391 /media-sound
parentmedia-sound/jaaa: [QA] Various fixes (diff)
downloadgentoo-d63f2655b3e69da460c00bd08695cbb5a9d258f2.tar.gz
gentoo-d63f2655b3e69da460c00bd08695cbb5a9d258f2.tar.bz2
gentoo-d63f2655b3e69da460c00bd08695cbb5a9d258f2.zip
media-sound/streamtranscoder: [QA] Various fixes
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Diffstat (limited to 'media-sound')
-rw-r--r--media-sound/streamtranscoder/files/streamtranscoder-1.2.4-build.patch12
-rw-r--r--media-sound/streamtranscoder/streamtranscoder-1.2.4.ebuild18
-rw-r--r--media-sound/streamtranscoder/streamtranscoder-3.1.11.ebuild11
3 files changed, 18 insertions, 23 deletions
diff --git a/media-sound/streamtranscoder/files/streamtranscoder-1.2.4-build.patch b/media-sound/streamtranscoder/files/streamtranscoder-1.2.4-build.patch
index 07128bb9559..d79b074abd9 100644
--- a/media-sound/streamtranscoder/files/streamtranscoder-1.2.4-build.patch
+++ b/media-sound/streamtranscoder/files/streamtranscoder-1.2.4-build.patch
@@ -1,5 +1,5 @@
---- configure.in
-+++ configure.in
+--- a/configure.in
++++ b/configure.in
@@ -83,22 +83,29 @@
dnl -- configure options --
@@ -36,8 +36,8 @@
AC_SUBST(LIBTOOL_DEPS)
AC_SUBST(OPT)
AC_SUBST(LIBS)
---- src/Makefile.am
-+++ src/Makefile.am
+--- a/src/Makefile.am
++++ b/src/Makefile.am
@@ -17,5 +17,6 @@
INCLUDES = -I$(srcdir)/liboddcast -I$(srcdir)/libtranscoder
@@ -47,8 +47,8 @@
+install-data-hook:
+ $(INSTALL) -d $(DESTDIR)$(sysconfdir)
+ $(INSTALL) -m644 transcoder.cfg $(DESTDIR)$(sysconfdir)/transcoder.cfg
---- src/libtranscoder/transcurl.cpp
-+++ src/libtranscoder/transcurl.cpp
+--- a/src/libtranscoder/transcurl.cpp
++++ b/src/libtranscoder/transcurl.cpp
@@ -18,7 +18,6 @@
#include <winsock2.h>
#endif
diff --git a/media-sound/streamtranscoder/streamtranscoder-1.2.4.ebuild b/media-sound/streamtranscoder/streamtranscoder-1.2.4.ebuild
index 1e889bc9793..3ad59e039eb 100644
--- a/media-sound/streamtranscoder/streamtranscoder-1.2.4.ebuild
+++ b/media-sound/streamtranscoder/streamtranscoder-1.2.4.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI=4
+EAPI=6
-inherit autotools eutils
+inherit autotools
-DESCRIPTION="Command line application to transcode shoutcast/icecast streams to different bitrates"
+DESCRIPTION="Commandline program to transcode shoutcast/icecast streams to different bitrates"
HOMEPAGE="http://www.oddsock.org"
SRC_URI="http://www.oddsock.org/tools/streamTranscoder/${P}.tar.gz"
@@ -22,12 +22,10 @@ RDEPEND=">=media-libs/libogg-1.1
DEPEND="${RDEPEND}
virtual/pkgconfig"
-src_prepare() {
- epatch "${FILESDIR}"/${P}-build.patch
- eautoreconf
-}
+PATCHES=( "${FILESDIR}"/${P}-build.patch )
-src_install() {
+src_prepare() {
default
- dodoc AUTHORS README
+ mv configure.{in,ac} || die
+ eautoreconf
}
diff --git a/media-sound/streamtranscoder/streamtranscoder-3.1.11.ebuild b/media-sound/streamtranscoder/streamtranscoder-3.1.11.ebuild
index d73225b9e58..8e03e14c017 100644
--- a/media-sound/streamtranscoder/streamtranscoder-3.1.11.ebuild
+++ b/media-sound/streamtranscoder/streamtranscoder-3.1.11.ebuild
@@ -1,9 +1,11 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
+EAPI=6
+
MY_P=${PN}v3-${PV}
-DESCRIPTION="Command line application to transcode shoutcast/icecast streams to different bitrates"
+DESCRIPTION="Commandline program to transcode shoutcast/icecast streams to different bitrates"
HOMEPAGE="http://www.oddsock.org/tools/streamTranscoderV3"
SRC_URI="http://www.oddsock.org/tools/streamTranscoderV3/${MY_P}.tar.gz"
@@ -20,8 +22,3 @@ RDEPEND=">=media-libs/libogg-1.1
DEPEND="${RDEPEND}"
S="${WORKDIR}"/${MY_P}
-
-src_install() {
- emake DESTDIR="${D}" install || die "emake install failed."
- dodoc AUTHORS
-}